Skip to content
Start here

Edit global schema validation settings

schema_validation.settings.edit(SettingEditParams**kwargs) -> SettingEditResponse
PATCH/zones/{zone_id}/schema_validation/settings

Partially updates global schema validation settings for a zone using PATCH semantics.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayDomain API Gateway
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
validation_default_mitigation_action: Optional[Literal["none", "log", "block"]]

The default mitigation action used Mitigation actions are as follows:

  • "log" - log request when request does not conform to schema
  • "block" - deny access to the site when request does not conform to schema
  • "none" - skip running schema validation
One of the following:
"none"
"log"
"block"
validation_override_mitigation_action: Optional[Literal["none"]]

When set, this overrides both zone level and operation level mitigation actions.

  • "none" - skip running schema validation entirely for the request
  • null - clears any existing override
ReturnsExpand Collapse
class SettingEditResponse:
validation_default_mitigation_action: Literal["none", "log", "block"]

The default mitigation action used

Mitigation actions are as follows:

  • log - log request when request does not conform to schema
  • block - deny access to the site when request does not conform to schema
  • none - skip running schema validation
One of the following:
"none"
"log"
"block"
validation_override_mitigation_action: Optional[Literal["none"]]

When not null, this overrides global both zone level and operation level mitigation actions. This can serve as a quick way to disable schema validation for the whole zone.

  • "none" will skip running schema validation entirely for the request

Edit global schema validation settings

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.schema_validation.settings.edit(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.validation_default_mitigation_action)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validation_default_mitigation_action": "block",
    "validation_override_mitigation_action": "none"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "validation_default_mitigation_action": "block",
    "validation_override_mitigation_action": "none"
  },
  "success": true
}